%global svndate	20101019
%global svnrev	4

Name:		ucviewer
# The only place I could find a version was in the documentation.
Version:	0.1
Release:	0.3.%{svndate}svn%{svnrev}%{?dist}
Summary:	A tool for browsing Unicode tables
Group:		Applications/System
License:	GPLv2+
URL:		http://sourceforge.net/projects/ucviewer/
# Upstream does not release versioned tarballs
# Also, they bundle a copy of lua. :P
# svn export https://ucviewer.svn.sourceforge.net/svnroot/ucviewer ucviewer-20101019
# rm -rf ucviewer-20101019/src/lua-5.1.4
# tar cfj ucviewer-20101019.tar.bz2 ucviewer-20101019
Source0:	%{name}-%{svndate}.tar.bz2
# Desktop file not provided by upstream
Source1:	%{name}.desktop
# Use system lua
Patch0:		%{name}-20101019-system-lua.patch
# Don't prompt on buildtype (and use sane system paths)
Patch1:		%{name}-20101019-no-prompting.patch
BuildRequires:	lua-devel, qt-devel
BuildRequires:	desktop-file-utils

%description
Unicode Viewer is a tool for browsing Unicode tables to obtain detailed
information about every glyph. It provides a GUI with multiple functions
for navigating through the data and a Lua scripting interface to create
new functions. It also displays each glyph's DUCET-information and
allows sorting according to an order specified in an allkeys.txt-File.

%prep
%setup -q -n %{name}-%{svndate}
%patch0 -p1 -b .system
%patch1 -p1 -b .no-prompting

%build
qmake-qt4
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install
mkdir %{buildroot}%{_datadir}/pixmaps
pushd %{buildroot}%{_datadir}/pixmaps
ln -s ../UnicodeViewer/icon/uc-book.png .
popd
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%defattr(-,root,root,-)
%doc License.txt ReadMe.txt
%{_bindir}/UnicodeViewer
%{_datadir}/applications/ucviewer.desktop
%{_datadir}/pixmaps/uc-book.png
%{_datadir}/UnicodeViewer/

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.3.20101019svn4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.1-0.2.20101019svn4
- fix license tag
- fix desktop file

* Tue Oct 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.1-0.1.20101019svn4
- initial package for Fedora
